Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf3d
Class Graphics3DAdapter

    java.lang.Object
      org.eclipse.amp.agf3d.Graphics3DAdapter

All Implemented Interfaces:
  IGraphics3DAdapter, org.eclipse.core.runtime.IAdapterFactory

Direct Known Subclasses:
  AscapeDefaultGraphics3DAdapter

    public class Graphics3DAdapter

extends java.lang.Object
implements IGraphics3DAdapter

Author:
  mparker

Field Summary
`static java.lang.Class[]` | `GRAPHICS_ADAPTERS`

Constructor Summary
`Graphics3DAdapter()`

Method Summary
`java.lang.Object` | `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` | `getAdapterList()`
`static IGraphics3DAdapter` | `getDefault3D()`
`IShape3DProvider[]` | `getShapes(java.lang.Object object)`
`IShape3DProvider[]` | `getShapesForClass(java.lang.Class object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRAPHICS_ADAPTERS

    public static java.lang.Class[] GRAPHICS_ADAPTERS

Constructor Detail

### Graphics3DAdapter

    public Graphics3DAdapter()

Method Detail

### getShapes

    public IShape3DProvider[] getShapes(java.lang.Object object)

  Specified by:
    `getShapes` in interface `IGraphics3DAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IGraphics3DAdapter.getShapes(java.lang.Object)`

### getShapesForClass

    public IShape3DProvider[] getShapesForClass(java.lang.Class object)

  Specified by:
    `getShapesForClass` in interface `IGraphics3DAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IGraphics3DAdapter.getShapesForClass(java.lang.Class)`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Parameters:
    `adaptableObject` -
    `adapterType` -
  Returns:
  See Also:
    `IAdapterFactory.getAdapter(java.lang.Object, java.lang.Class)`

### getDefault3D

    public static IGraphics3DAdapter getDefault3D()

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Returns:
  See Also:
    `IAdapterFactory.getAdapterList()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD